﻿@using System.Security.Cryptography
@using System.Web.Hosting
@model StarterProjectV2.ViewModels.OwnersAdditionalInfoEditView
@{
    ViewBag.Title = "Attachment Edit";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <style>
        .container1 {
            color: white;
            width: 128px;
            height: 128px;
        }
    </style>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
}
@section PAGETITLE{
 Attachment Edit
}

<div class="card">
    <div class="card-body">
        <h1 class="text-center" style="margin-bottom: 40px;color: indianred">Edit Owner's Attachment Information</h1>
        <p class="text-muted"></p>
        <form>
            <div class="form-group row mb-5">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner NID</label>
                <div class="container1">
                    @{
                        var time1 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    @{
                        if (Model.IsNIDFileExists == true)
                        {
                            <img id="NID-pic" src="@Url.Content(Model.OwnersAttachment.OwnerNID +time1)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null;this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                        }
                        else
                        {
                            <img id="NID-pic" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                        }
                    }
                    <div class="row ml-3"><input id="upload-file-attachment-NID" type="file" accept="image/jpeg, image/png" /></div>
                </div>
            </div>
            <div class="form-group row mb-5">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner TIN</label>
                <div class="container1">
                    @{
                        var time2 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    @{
                        if (Model.IsTINFileExists == true)
                        {
                            <img id="TIN-pic" src="@Url.Content(Model.OwnersAttachment.OwnerTIN + time2)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null;this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                        }
                        else
                        {
                            <img id="TIN-pic" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                        }
                    }
                    <div class="row ml-3"><input id="upload-file-attachment-TIN" type="file" accept="image/jpeg, image/png" /></div>
                </div>
            </div>
            <div class="form-group row mb-5">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Passport</label>
                <div class="container1">
                    @{
                        var time3 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    @{
                        if (Model.IsPassportFileExists == true)
                        {
                            <img id="passport-pic" src="@Url.Content(Model.OwnersAttachment.OwnerPassport + time3)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null;this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                        }
                        else
                        {
                            <img id="passport-pic" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                        }
                    }
                    <div class="row ml-3"><input id="upload-file-attachment-Passport" type="file" accept="image/jpeg, image/png" /></div>
                </div>
            </div>
            <div class="form-group row mb-5">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Driving License</label>
                <div class="container1">
                    @{
                        var time4 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    @{
                        if (Model.IsDrivingLicenseFileExists == true)
                        {
                            <img id="driving-pic" class="" src="@Url.Content(Model.OwnersAttachment.OwnerDrivingLicense + time4)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null;this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                        }
                        else
                        {
                            <img id="driving-pic" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                        }
                    }
                    <div class="row ml-3"><input id="upload-file-attachment-DrivingLicense" type="file" accept="image/jpeg, image/png" /></div>
                </div>
            </div>
            <div class="form-group row mb-5">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Utility Bill</label>
                <div class="container1">
                    @{
                        var time5 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    @{
                        if (Model.IsDrivingLicenseFileExists == true)
                        {
                            <img id="utility-pic" class="" src="@Url.Content(Model.OwnersAttachment.OwnerUtilityBill + time5)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null;this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                        }
                        else
                        {
                            <img id="utility-pic" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                        }
                    }
                    <div class="row ml-3"><input id="upload-file-attachment-Utility" type="file" accept="image/jpeg, image/png" /></div>
                </div>
            </div>

            @*@Html.HiddenFor(m => m.OwnersAttachment.OwnersAttachmentId)
                @Html.HiddenFor(m => m.OwnersAttachment.OwnerId)*@

            <div class="row">
                <div>
                    <button type="button" class="btn btn-primary m-1" onClick="FullSubmitAttachment()">Submit</button>
                </div>
                <div>
                    <button type="button" class="btn btn-danger m-1">Reset</button>
                </div>
                <div>
                    <button type="button" class="btn btn-warning m-1" onclick="goBack()">Back</button>
                </div>
                <div>
                    <button type="button" class="btn btn-info m-1" onclick="gotoOwnerManagement()">Skip</button>
                </div>
            </div>
        </form>
    </div>
</div>
<script>
    function goBack() {
        window.location.href = "/AdditionalInformation/NomineeEdit?OwnerId=" + '@Model.OwnersAttachment.OwnerId';
    }
</script>
<script>
    function gotoOwnerManagement() {
        window.location.href = "/OwnersInfo/OwnerManagement";
    }
</script>
@*attachments started*@

<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-NID"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#NID-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-TIN"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#TIN-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-Passport"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#passport-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-DrivingLicense"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#driving-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-Utility"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#utility-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>


@*attachments continued*@
<script>
    function UploadAttachmentNID() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-NID');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OANID_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentTIN() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-TIN');
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OATIN_" + ownerId + ".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentPassport() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-Passport');
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OAPassport_" + ownerId + ".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentDrivingLicense() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-DrivingLicense');
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OADrivingLicense_" + ownerId + ".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentUtility() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-Utility');
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OAUtility_" + ownerId + ".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function RetreiveAttachments() {
        var ownerId = '@Model.OwnersAttachment.OwnerId';
        var OANIDPath = '~/Content/attachments/' + "OANID_" + ownerId + ".jpg";
        var OATINPath = '~/Content/attachments/' + "OATIN_" + ownerId + ".jpg";
        var OAPassportPath = '~/Content/attachments/' + "OAPassport_" + ownerId + ".jpg";
        var OAUtilityPath = '~/Content/attachments/' + "OAUtility_" + ownerId + ".jpg";
        var OADrivingLicensePath = '~/Content/attachments/' + "OADrivingLicense_" + ownerId + ".jpg";
        var myModel = {
            OwnerNID: OANIDPath,
            OwnerTIN: OATINPath,
            OwnerPassport: OAPassportPath,
            OwnerUtilityBill: OAUtilityPath,
            OwnerDrivingLicense: OADrivingLicensePath,
            OwnerId: ownerId
        };
        $.ajax({
            context: this,
            type: 'post',
            //url: '../OwnersInfo/gettingOwnerAttachmentInfo/',
            url: '../AdditionalInformation/gettingOwnerAttachmentInfoForEdit/',
            data: myModel,
            success: function (result) {
                window.location.href = "/OwnersInfo/OwnerManagement";
            },
            error: function () {
                //alert("i fucafaf");
            }
        });
    }

</script>
<script>
    function FullSubmitAttachment() {
        UploadAttachmentNID();
        UploadAttachmentTIN();
        UploadAttachmentUtility();
        UploadAttachmentDrivingLicense();
        UploadAttachmentPassport();
        RetreiveAttachments();
    }
</script>

<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>